Bug 526491 - virt-manager has no confirmation dialog when deleting a virtual disk
virt-manager has no confirmation dialog when deleting a virtual disk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-30 11:28 EDT by Matthew Booth
Modified: 2009-12-03 18:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 18:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2009-09-30 11:28:09 EDT
Description of problem:
Related to bug 526488, clicking on 'Remove' when a disk is selected in the Details pane of a virtual machine does not prompt before removal. This is exceptionally dangerous when combined with the poor placement of the remove button.

This may apply to other virtual hardware, but I have not checked.

Version-Release number of selected component (if applicable):
virt-manager-0.8.0-3.fc11.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open the Details pane of a virtual machine
2. Select Disk
3. Click Remove
  
Actual results:
Disk is immediately removed

Expected results:
Prompt for confirmation
Comment 1 Cole Robinson 2009-11-18 16:50:13 EST
Device removal now prompts the user by default, but this can be deactivated with a 'Don't show this again' checkbox for the people that don't need it:

http://hg.fedorahosted.org/hg/virt-manager/rev/f65a210898c4
Comment 2 Cole Robinson 2009-12-03 18:51:42 EST
This should be fixed in virt-manager-0.8.1-1.fc13 which will be in the next rawhide compose.

Note You need to log in before you can comment on or make changes to this bug.